{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block title %} Missions list {% endblock title %}

{% block content %}
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            Missions
        </p>
        <p class="subtitle">
            List of all missions
        </p>
    </div>
</section>

<div class="column is-10 is-offset-1">
    {% if missions_proposed %}
    <div class="section">
        <h1 class="title">Proposed</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>From Date</th>
                    <th>To Date</th>
                    <th>Proposer</th>
                    <th>Project</th>
                    <th>Budget</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for mis in missions_proposed %}
                <tr>
                    <td> {{mis.from_date}}</td>
                    <td> {{mis.to_date}}</td>
                    <td> {{mis.proposer.first_name}} {{mis.proposer.last_name}}</td>
                    <td> {{mis.project.name}} </td>
                    <td> {{mis.total_budget}} {{mis.currency}} </td>
                    <td>
                        <a href={% url 'mission_details' mission_id=mis.id %} class="button is-small is-link">View</a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
    {% if missions_resubmit %}
    <div class="section">
        <h1 class="title">Waiting for the resubmission</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>From Date</th>
                    <th>To Date</th>
                    <th>Proposer</th>
                    <th>Project</th>
                    <th>Current Status</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for mis in missions_resubmit %}
                <tr>
                    <td> {{mis.from_date}}</td>
                    <td> {{mis.to_date}}</td>
                    <td> {{mis.proposer.first_name}} {{mis.proposer.last_name}}</td>
                    <td> {{mis.project.name}} </td>
                    <td><span class="tag is-warning is-light">{{mis.status}}</span></td>
                    <td>
                        <a href={% url 'mission_details' mission_id=mis.id %} class="button is-small is-link">View</a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
    {% if missions_resubmitted %}
    <div class="section">
        <h1 class="title">Waiting for the approval</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>From Date</th>
                    <th>To Date</th>
                    <th>Proposer</th>
                    <th>Project</th>
                    <th>Current Status</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for mis in missions_resubmitted %}
                <tr>
                    <td> {{mis.from_date}}</td>
                    <td> {{mis.to_date}}</td>
                    <td> {{mis.proposer.first_name}} {{mis.proposer.last_name}}</td>
                    <td> {{mis.project.name}} </td>
                    <td><span class="tag is-warning is-light">{{mis.status}}</span></td>
                    <td>
                        <a href={% url 'mission_details' mission_id=mis.id %} class="button is-small is-link">View</a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
    {% if missions_approved %}
    <div class="section">
        <h1 class="title">Ongoing missions</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>From Date</th>
                    <th>To Date</th>
                    <th>Proposer</th>
                    <th>Project</th>
                    <th>Current Status</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for mis in missions_approved %}
                <tr>
                    <td> {{mis.from_date}}</td>
                    <td> {{mis.to_date}}</td>
                    <td> {{mis.proposer.first_name}} {{mis.proposer.last_name}}</td>
                    <td> {{mis.project.name}} </td>
                    <td><span class="tag is-warning is-light">{{mis.status}}</span></td>
                    <td>
                        <a href={% url 'mission_details' mission_id=mis.id %} class="button is-small is-link">
                            View
                        </a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
    {% if missions_completed %}
    <div class="section">
        <h1 class="title">Waiting to upload the proof of expenditure</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>From Date</th>
                    <th>To Date</th>
                    <th>Proposer</th>
                    <th>Project</th>
                    <th>Current Status</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for mis in missions_completed %}
                <tr>
                    <td> {{mis.from_date}}</td>
                    <td> {{mis.to_date}}</td>
                    <td> {{mis.proposer.first_name}} {{mis.proposer.last_name}}</td>
                    <td> {{mis.project.name}} </td>
                    <td><span class="tag is-warning is-light">{{mis.status}}</span></td>

                    <td>
                        <a href={% url 'mission_details' mission_id=mis.id %} class="button is-small is-link">
                            View
                        </a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
    {% if proof_resubmit %}
    <div class="section">
        <h1 class="title">Waiting to resubmit the proof of expenditure</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>From Date</th>
                    <th>To Date</th>
                    <th>Proposer</th>
                    <th>Project</th>
                    <th>Current Status</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for mis in proof_resubmit %}
                <tr>
                    <td> {{mis.from_date}}</td>
                    <td> {{mis.to_date}}</td>
                    <td> {{mis.proposer.first_name}} {{mis.proposer.last_name}}</td>
                    <td> {{mis.project.name}} </td>
                    <td><span class="tag is-warning is-light">{{mis.status}}</span></td>

                    <td>
                        <a href={% url 'mission_details' mission_id=mis.id %} class="button is-small is-link">
                            View
                        </a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
    {% if proof_validate %}
    <div class="section">
        <h1 class="title">Waiting for the validation of proof of expenditure</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>From Date</th>
                    <th>To Date</th>
                    <th>Proposer</th>
                    <th>Project</th>
                    <th>Current Status</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for mis in proof_validate %}
                <tr>
                    <td> {{mis.from_date}}</td>
                    <td> {{mis.to_date}}</td>
                    <td> {{mis.proposer.first_name}} {{mis.proposer.last_name}}</td>
                    <td> {{mis.project.name}} </td>
                    <td><span class="tag is-warning is-light">{{mis.status}}</span></td>

                    <td>
                        <a href={% url 'mission_details' mission_id=mis.id %} class="button is-small is-link">
                            View
                        </a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
    {% if missions_reimbursed %}
    <div class="section">
        <h1 class="title">Missions Completed</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>From Date</th>
                    <th>To Date</th>
                    <th>Proposer</th>
                    <th>Project</th>
                    <th>Current Status</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for mis in missions_reimbursed %}
                <tr>
                    <td> {{mis.from_date}}</td>
                    <td> {{mis.to_date}}</td>
                    <td> {{mis.proposer.first_name}} {{mis.proposer.last_name}}</td>
                    <td> {{mis.project.name}} </td>
                    <td><span class="tag is-warning is-light">{{mis.status}}</span></td>
                    <td>
                        <a href={% url 'mission_details' mission_id=mis.id %} class="button is-small is-link">View</a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
</div>

{% endblock %}